<?php

// Check nonce
PHPCUS_PARAM::CUS_REQUIRES_NONCE();

// Check Array Input
PHPCUS_PARAM::CUS_DOES_NOT_SUPPORT_ARRAY();

// Check already authenticated
PHPCUS_PARAM::CUS_REQUIRES_AUTHENTICATION();

// Check access rights
PHPCUS_PARAM::CUS_HAS_PERMISSION(PHPCUS_SYSTEM::AUTHORITY_VIEW_ONLY, 'mobile_shortcode');


if
(
		PHPRC_HTTP_PARAM::REF_ISSET_IN_ARRAY
		(
				[
						'PARAM_MOBILE_ID',
						'PARAM_MOBILE_GROUP_ID',
						'PARAM_MOBILE_SHORTCODE',
						'PARAM_MOBILE_COMPANY_CODE',
						
						'PARAM_MOBILE_CLIENT_ID',
						'PARAM_MOBILE_SECRET_KEY',
						'PARAM_MOBILE_LOAD_BALANCE_FROM',
						'PARAM_MOBILE_LOAD_BALANCE_TO',
						'PARAM_MOBILE_STATUS',
						
						'PARAM_ORDER_FIELD',
						'PARAM_ORDER_TYPE',
						'PARAM_SKIP'
				], True
				)
		)
{
	Try
	{
		// Read params
		// ------------------------------------------------------------------
		
		$PARAM_MOBILE_ID = PHPCUS_PARAM::CUS_READ_BIGINT('PARAM_MOBILE_ID');
		$PARAM_MOBILE_GROUP_ID = PHPCUS_PARAM::CUS_READ_BIGINT('PARAM_MOBILE_GROUP_ID');
		$PARAM_MOBILE_SHORTCODE = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_MOBILE_SHORTCODE');
		$PARAM_MOBILE_COMPANY_CODE = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_MOBILE_COMPANY_CODE');
		
		$PARAM_MOBILE_CLIENT_ID = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_MOBILE_CLIENT_ID');
		$PARAM_MOBILE_SECRET_KEY = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_MOBILE_SECRET_KEY');
		$PARAM_MOBILE_LOAD_BALANCE_FROM = PHPCUS_PARAM::CUS_READ_DECIMAL('PARAM_MOBILE_LOAD_BALANCE_FROM');
		$PARAM_MOBILE_LOAD_BALANCE_TO = PHPCUS_PARAM::CUS_READ_DECIMAL('PARAM_MOBILE_LOAD_BALANCE_TO');
		$PARAM_MOBILE_STATUS = PHPCUS_PARAM::CUS_READ_INT('PARAM_MOBILE_STATUS');
		
		$PARAM_ORDER_FIELD = PHPCUS_PARAM::CUS_READ_SORT_FIELD
		(
				'PARAM_ORDER_FIELD',
				[
						'MOBILE_ID',
						'MOBILE_GROUP_ID',
						'MOBILE_SHORTCODE',
						'MOBILE_COMPANY_CODE',
						'MOBILE_CLIENT_ID',
						'MOBILE_SECRET_KEY',
						'MOBILE_LOAD_BALANCE',
						'MOBILE_STATUS'
				]
				);
		
		$PARAM_ORDER_TYPE = PHPCUS_PARAM::CUS_READ_SORT_TYPE('PARAM_ORDER_TYPE');
		$PARAM_SKIP	= PHPCUS_PARAM::CUS_READ_BIGINT('PARAM_SKIP');
		
		// ------------------------------------------------------------------
		
		
		// Execute Stored Procedure
		$DATA_SET = PHPCUS_MOBILE_SHORTCODE::CUS_GET
		(
				$PARAM_MOBILE_ID,
				$PARAM_MOBILE_GROUP_ID,
				$PARAM_MOBILE_SHORTCODE,
				$PARAM_MOBILE_COMPANY_CODE,
				
				$PARAM_MOBILE_CLIENT_ID,
				$PARAM_MOBILE_SECRET_KEY,
				$PARAM_MOBILE_LOAD_BALANCE_FROM,
				$PARAM_MOBILE_LOAD_BALANCE_TO,
				$PARAM_MOBILE_STATUS,
				
				$PARAM_ORDER_FIELD,
				$PARAM_ORDER_TYPE,
				$PARAM_SKIP
				);
		
		// Return JSON response
		if(empty($DATA_SET) === False)
		{
			PHPCUS_PARAM::CUS_JSON_SUCCESS($DATA_SET);
		}
		else
		{
			PHPCUS_PARAM::CUS_JSON_SUCCESS('');
		}
		
	}
	Catch(Exception $ERR)
	{
		PHPVC_LOG::VAR_REPORT_ERROR($ERR, 0);
		PHPCUS_PARAM::CUS_JSON_ERROR($ERR->getMessage());
	}
}
else
{
	PHPCUS_PARAM::CUS_JSON_ERROR('Missing parameters');
}

?>